edu.isi.pegasus.planner.namespace.aggregator

## Class UniqueMerge

- java.lang.Object
- - edu.isi.pegasus.planner.namespace.aggregator.Abstract
  - - edu.isi.pegasus.planner.namespace.aggregator.UniqueMerge

All Implemented Interfaces:
  Aggregator

    public class UniqueMerge
    extends Abstract

Merges profile as a delimiter separated list. It ensures that only unique values are merged.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_DELIMITER` Default delimiter
`private java.util.Set<java.lang.String>` `mKeys`

### Fields inherited from interface edu.isi.pegasus.planner.namespace.aggregator.Aggregator

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`UniqueMerge()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `compute(java.lang.String oldValue, java.lang.String newValue, java.lang.String dflt)` Sums up the values.

### Methods inherited from class edu.isi.pegasus.planner.namespace.aggregator.Abstract

`parseInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DELIMITER

    public static final java.lang.String DEFAULT_DELIMITER

Default delimiter

See Also:
  Constant Field Values

#### mKeys

    private java.util.Set<java.lang.String> mKeys

### Constructor Detail

#### UniqueMerge

    public UniqueMerge()

### Method Detail

#### compute

    public java.lang.String compute(java.lang.String oldValue,
                                    java.lang.String newValue,
                                    java.lang.String dflt)

Sums up the values.

Parameters:
  `oldValue` - the existing value for the profile.
  `newValue` - the new value being added to the profile.
  `dflt` - the default value to be used in case the values are not of the correct type.
Returns:
  the computed value as a String.